[android-components](../../../index.md) / [mozilla.components.service.glean](../../index.md) / [Glean](../index.md) / [PingEvent](./index.md)

# PingEvent

`enum class PingEvent` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/glean/src/main/java/mozilla/components/service/glean/Glean.kt#L322)

Enumeration of different metric lifetimes.

### Enum Values

| Name | Summary |
|---|---|
| [Background](-background.md) | When the application goes into the background |
| [Default](-default.md) | A periodic event to send the default ping |
